import { lazy } from 'react'
import { Navigate, type RouteObject } from 'react-router'

export const routes: RouteObject[] = [
  {
    path: '/',
    Component: lazy(() => import('@/components/layout/AppLayout')),
    children: [
      {
        path: 'data',
        Component: lazy(() => import('@/components/layout/DataLayout')),
        children: [
          { index: true, element: <Navigate to="dashboard" /> },
          { path: 'dashboard', Component: lazy(() => import('./dashboard/views/Index')) },
          { path: 'write', element: <Navigate to="my" /> },
          { path: 'write/my', Component: lazy(() => import('./write/my/views/Index')) },
          { path: 'write/copy', Component: lazy(() => import('./write/copy/views/Index')) },
          { path: 'write/upload', Component: lazy(() => import('./write/upload/views/Index')) },
          { path: 'write/copy', Component: lazy(() => import('./write/copy/views/Index')) },
        ],
      },
    ],
  },
]
